Subject: Re: [PATCH 0/3] sparse-checkout: add 'clean' command

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jul 2025 16:41:20 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> The implementation is rather simple with the current CLI. Future
> augmentations could include a --quiet option to silence the output and a
> --verbose option to list the files that exist within each directory and
> would/will be removed.

I liked the overall idea but this has some interactions with a topic
in flight.  2c5b5565 (environment: remove the global variable
'sparse_expect_files_outside_of_patterns', 2025-07-01).  I may have
botched (semantic) conflict resolution but with both merged to
'seen', a few steps in the sparse test seem to fail.

For tonight's integration, I'll leave the topic out of 'seen' so
that we can pass other new topics that we acquired through the CI.

I may re-attempt merging this topic later, or I may eject the other
topic from 'seen' and queue this one first, asking the other topic
to be redone on top.  We'll see.

Thanks.